"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f28b0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f2940>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f29d0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f2a60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f2af0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f2b80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f2c10>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f2ca0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f2d30>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f2dc0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f2e50>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f2ee0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f2f70>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8040>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f80d0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8160>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f81f0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8280>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8310>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f83a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8430>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f84c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8550>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f85e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8700>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8670>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8790>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8820>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f88b0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8940>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f89d0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8a60>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8af0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8b80>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8c10>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8ca0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8d30>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8dc0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8e50>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8ee0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27f8f70>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb040>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb0d0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb160>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb1f0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb280>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb310>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb3a0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb430>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb4c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb550>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb5e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb670>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb700>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb790>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb820>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb8b0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb940>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fb9d0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fba60>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fbaf0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fbb80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fbc10>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fbca0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fbd30>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fbdc0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fbf70>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27fbe50>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff040>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff0d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff160>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff1f0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff280>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff3a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff310>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff430>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff4c0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff550>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff670>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff5e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff700>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff790>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff820>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff8b0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff940>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7feec27ff9d0>)]
name: str = 'fr_HOCCN'
